X2Go Bug report logs - #223
Space key behaves like ctrl-alt-f (switch fullscreen)

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Thomas Güttler <hv@tbz-pariv.de>

Date: Tue, 28 May 2013 10:48:01 UTC

Severity: normal

Tags: moreinfo, pending

Found in version 3.5.0.21

Fixed in version 2:3.5.0.21

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Tue, 28 May 2013 10:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Güttler <hv@tbz-pariv.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 May 2013 10:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Thomas Güttler <hv@tbz-pariv.de>
To: submit@bugs.x2go.org
Subject: Space key behaves like ctrl-alt-f (switch fullscreen)
Date: Tue, 28 May 2013 12:39:57 +0200
Package: x2goagent
Version: 2:3.5.0.21-0~350~lucid1

The file /etc/x2go/keystrokes.cfg contained an entry to make the
space key behave like ctrg+alt-f (switch fullscreen mode).

 See  http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts


  Thomas Güttler


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Tue, 28 May 2013 12:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wuerstlein <snalwuer@cip.informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 May 2013 12:33:01 GMT) Full text and rfc822 format available.

Message #10 received at 223@bugs.x2go.org (full text, mbox):

From: Alexander Wuerstlein <snalwuer@cip.informatik.uni-erlangen.de>
To: Thomas Güttler <hv@tbz-pariv.de>, 223@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#223: Space key behaves like ctrl-alt-f (switch fullscreen)
Date: Tue, 28 May 2013 14:14:52 +0200
On 13-05-28 12:56, Thomas Güttler <hv@tbz-pariv.de> wrote:
> Package: x2goagent
> Version: 2:3.5.0.21-0~350~lucid1
> 
> The file /etc/x2go/keystrokes.cfg contained an entry to make the
> space key behave like ctrg+alt-f (switch fullscreen mode).
> 
>  See  http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts

Ups, that file was intended just as an example of how one can configure
things, not as a sensible default configuration. I'm not quite sure why
this is installed as the default configuration...

I would suggest renaming this file to /etc/x2go/keystrokes.cfg.example
and add an appropriate comment.


Ciao,

Alexander Wuerstlein.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Tue, 28 May 2013 16:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joe <joebaker@dcresearch.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 28 May 2013 16:03:01 GMT) Full text and rfc822 format available.


Message #15 received at 223@bugs.x2go.org (full text, mbox):

From: Joe <joebaker@dcresearch.com>
To: 223@bugs.x2go.org
Date: Tue, 28 May 2013 08:48:13 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I looked at the bug report and saw Alexander Wuerstlein suggested to
renaming /etc/x2go/keystrokes.cfg  to /etc/x2go/keystrokes.cfg.example

I did rename the file - then couldn't log in to x2go to resume a
current session.

I rebooted.

And now I'm happy to report success in being able to use my space bar
once again within X2Go!

Many Thanks for those who reported the problem and to Alexander
Wuerstlein  for suggesting a fix that works.

JB
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlGk0b0ACgkQ7J1dPd3sAmDWIACgoRAaQCTCxpShLKR5neluvJmP
zCcAoJrcBlfK76fBDegZVSC9conkRa39
=E7bT
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Tue, 28 May 2013 20:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 May 2013 20:48:01 GMT) Full text and rfc822 format available.

Message #20 received at 223@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Thomas Güttler <hv@tbz-pariv.de>, 223@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#223: Space key behaves like ctrl-alt-f (switch fullscreen)
Date: Tue, 28 May 2013 22:38:56 +0200
[Message part 1 (text/plain, inline)]
notfound #223 2:3.5.0.21-0~350~lucid1
found #223 3.5.0.21
tag #223 moreinfo
thanks

Hi Thomas,

On Di 28 Mai 2013 12:39:57 CEST Thomas Güttler wrote:

> Package: x2goagent
> Version: 2:3.5.0.21-0~350~lucid1
>
> The file /etc/x2go/keystrokes.cfg contained an entry to make the
> space key behave like ctrg+alt-f (switch fullscreen mode).
>
>  See  http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts
>

<!DOCTYPE NXKeystroke>
<keystrokes>
<keystroke action="close_session" Control="1" key="t" />
<keystroke action="switch_all_screens" Control="1" key="f" />
<keystroke action="minimize" Control="1" key="m" />
<keystroke action="resize" Control="1" key="r" />
<keystroke action="defer" Control="1" key="e" />
<keystroke action="ignore" Control="1" key="BackSpace" />
<keystroke action="force_synchronization" Control="1" key="j" />
<keystroke action="debug_tree" Control="1" key="q" />
<keystroke action="regions_on_screen" Control="1" key="a" />
<keystroke action="test_input" Control="1" key="x" />
<keystroke action="deactivate_input_devices_grab" Control="1" key="y" />
<keystroke action="fullscreen" Control="1" Shift="1" key="f" />
<keystroke action="viewport_move_left" Control="1" Shift="1" key="Left" />
<keystroke action="viewport_move_up" Control="1" key="Up" />
<keystroke action="viewport_move_right" Control="1" key="Right" />
<keystroke action="viewport_move_down" Control="1" key="Down" />
</keystrokes>

Can you please use the above XML code as /etc/x2go/keystrokes.cfg and  
report back if your X2Go Session behaves normally?

I'd rather prefer a keystrokes.cfg with sensible defaults rather than  
shipping a keystrokes.cfg.example that breaks the system.

Sorry, that I did not look at the file much more closely when activating it.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

No longer marked as found in versions 2:3.5.0.21-0~350~lucid1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 May 2013 20:48:02 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.21. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 May 2013 20:48:02 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 May 2013 20:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Wed, 29 May 2013 17:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 29 May 2013 17:03:02 GMT) Full text and rfc822 format available.

Message #31 received at 223@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 223-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 223@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Wed, 29 May 2013 19:02:07 +0200 (CEST)
tag #223 pending
fixed #223 2:3.5.0.21
thanks

Hello,

X2Go issue #223 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=d90c457

The issue will most likely be fixed in src:nx-libs (2:3.5.0.21).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d90c457c4dd216c1baa11c8d1a991e21e83562bf
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed May 29 19:02:02 2013 +0200

    Use a keystrokes.cfg that reflects the normally hard-coded defaults of a vanilla nxagent. (Fixes: #223).

diff --git a/debian/changelog b/debian/changelog
index ee527a7..32c4712 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ nx-libs (2:3.5.0.21-0) UNRELEASED; urgency=low
 
   * Provide a default keystrokes.cfg in /etc/nx (for nxagent) and /etc/x2go
     (for x2goagent). (Fixes: #199).
+  * Use a keystrokes.cfg that reflects the normally hard-coded defaults of
+    a vanilla nxagent. (Fixes: #223).
   * Set NXAGENT_KEYSTROKEFILE to /etc/x2go/keystrokes.cfg for wrapper x2goagent.
   * For vanilla nxagent move keystrokes.cfg from /etc/nx to /etc/nxagent.
   * Tarball roller script:


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 29 May 2013 17:03:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.21. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 29 May 2013 17:03:02 GMT) Full text and rfc822 format available.

Message sent on to Thomas Güttler <hv@tbz-pariv.de>:
Bug#223. (Wed, 29 May 2013 17:03:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Wed, 29 May 2013 17:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 29 May 2013 17:33:01 GMT) Full text and rfc822 format available.

Message #43 received at 223@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 223@bugs.x2go.org
Subject: Fwd: Re: [X2Go-Dev] Bug#223: Space key behaves like ctrl-alt-f (switch fullscreen)
Date: Wed, 29 May 2013 19:22:49 +0200
[Message part 1 (text/plain, inline)]

----- Weitergeleitete Nachricht von hv@tbz-pariv.de -----
     Datum: Wed, 29 May 2013 15:10:38 +0200
       Von: Thomas Güttler <hv@tbz-pariv.de>
   Betreff: Re: [X2Go-Dev] Bug#223: Space key behaves like ctrl-alt-f  
(switch fullscreen)
        An: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Yes, with this new settings, it works for me.

I tested ctrl+alt+f and space.

Regards,

   Thomas Güttler

Am 28.05.2013 22:38, schrieb Mike Gabriel:
> notfound #223 2:3.5.0.21-0~350~lucid1
> found #223 3.5.0.21
> tag #223 moreinfo
> thanks
>
> Hi Thomas,
>
> On Di 28 Mai 2013 12:39:57 CEST Thomas Güttler wrote:
>
>> Package: x2goagent
>> Version: 2:3.5.0.21-0~350~lucid1
>>
>> The file /etc/x2go/keystrokes.cfg contained an entry to make the
>> space key behave like ctrg+alt-f (switch fullscreen mode).
>>
>> See  http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts
>>
>
> <!DOCTYPE NXKeystroke>
> <keystrokes>
> <keystroke action="close_session" Control="1" key="t" />
> <keystroke action="switch_all_screens" Control="1" key="f" />
> <keystroke action="minimize" Control="1" key="m" />
> <keystroke action="resize" Control="1" key="r" />
> <keystroke action="defer" Control="1" key="e" />
> <keystroke action="ignore" Control="1" key="BackSpace" />
> <keystroke action="force_synchronization" Control="1" key="j" />
> <keystroke action="debug_tree" Control="1" key="q" />
> <keystroke action="regions_on_screen" Control="1" key="a" />
> <keystroke action="test_input" Control="1" key="x" />
> <keystroke action="deactivate_input_devices_grab" Control="1" key="y" />
> <keystroke action="fullscreen" Control="1" Shift="1" key="f" />
> <keystroke action="viewport_move_left" Control="1" Shift="1" key="Left" />
> <keystroke action="viewport_move_up" Control="1" key="Up" />
> <keystroke action="viewport_move_right" Control="1" key="Right" />
> <keystroke action="viewport_move_down" Control="1" key="Down" />
> </keystrokes>
>
> Can you please use the above XML code as /etc/x2go/keystrokes.cfg  
> and report back if your X2Go Session behaves normally?
>
> I'd rather prefer a keystrokes.cfg with sensible defaults rather  
> than shipping a keystrokes.cfg.example that breaks the
> system.
>
> Sorry, that I did not look at the file much more closely when activating it.
>
> Greets,
> Mike
>
>


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Thu, 29 Aug 2013 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 29 Aug 2013 21:03:02 GMT) Full text and rfc822 format available.

Message #48 received at 223@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 223-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 223@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Thu, 29 Aug 2013 22:58:23 +0200 (CEST)
tag #223 pending
fixed #223 2:3.5.0.21
thanks

Hello,

X2Go issue #223 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=13f2b57

The issue will most likely be fixed in src:nx-libs (2:3.5.0.21).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 13f2b57d421b6a5ee71effaa6e5da17b1554ac4e
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Aug 29 22:58:19 2013 +0200

    Fix keystrokes.cfg, use Ctrl+Alt+<key> instead of just Ctrl+<key>. (Adds to fixing #223).

diff --git a/debian/changelog b/debian/changelog
index b523ee1..401f334 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,8 @@ nx-libs (2:3.5.0.21-0) UNRELEASED; urgency=low
     + Add B-Ds: libfontconfig1-dev, libfontenc-dev.
   * /debian/nx-libs-dev.install:
     + Remove unrelated files from -dev package.
+  * Fix keystrokes.cfg, use Ctrl+Alt+<key> instead of just Ctrl+<key>. (Adds to
+    fixing #223).
 
   [ Orion Poplawski ]
   * Change build options so that bundled libraries are not used anymore at


Message sent on to Thomas Güttler <hv@tbz-pariv.de>:
Bug#223. (Thu, 29 Aug 2013 21:03:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Fri, 30 Aug 2013 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 30 Aug 2013 14:33:02 GMT) Full text and rfc822 format available.

Message #56 received at 223@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 223-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 223@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 30 Aug 2013 16:20:08 +0200 (CEST)
close #223
thanks

Hello,

we are very hopeful that X2Go issue #223 reported by you
has been resolved in the new release (2:3.5.0.21) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.21)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=1102c6c766cfca9136b7fb04dfb6bcbf3c8ab25d;hp=225445db3cb6c6fc05db264f537eb9ad6050fd1c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.21
Status: RELEASE
Date: Fri, 30 Aug 2013 16:18:04 +0200
Fixes: 199 223 238 293
Changes: 
 nx-libs (2:3.5.0.21-0) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * Provide a default keystrokes.cfg in /etc/nx (for nxagent) and /etc/x2go
     (for x2goagent). (Fixes: #199).
   * Use a keystrokes.cfg that reflects the normally hard-coded defaults of
     a vanilla nxagent. (Fixes: #223).
   * Set NXAGENT_KEYSTROKEFILE to /etc/x2go/keystrokes.cfg for wrapper x2goagent.
   * For vanilla nxagent move keystrokes.cfg from /etc/nx to /etc/nxagent.
   * Tarball roller script:
     + Only install keystrokes.cfg when in full mode.
     + Only install nxproxy wrapper when in lite mode.
   * /debian/control:
     + Add B-Ds: libfontconfig1-dev, libfontenc-dev.
   * /debian/nx-libs-dev.install:
     + Remove unrelated files from -dev package.
   * Fix keystrokes.cfg, use Ctrl+Alt+<key> instead of just Ctrl+<key>. (Adds to
     fixing #223).
 .
   [ Orion Poplawski ]
   * Change build options so that bundled libraries are not used anymore at
     build time. Remove bundled libraries from rolled tarballs, as well. (Fixes:
     #238).
   * Add patch: 602_nx-X11_initgroups.full.patch. Fix calling setuid and setgid
     without setgroups or initgroups. There is a high probability this means it
     didn't relinquish all groups, and this would be a potential security issue
     to be fixed. Seek POS36-C on the web for details about the problem. (Fixes:
     #293).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#223; Package x2goagent. (Fri, 30 Aug 2013 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 30 Aug 2013 14:33:03 GMT) Full text and rfc822 format available.

Message #61 received at 223@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 223-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 223@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Fri, 30 Aug 2013 16:20:09 +0200 (CEST)
close #223
thanks

Hello,

we are very hopeful that X2Go issue #223 reported by you
has been resolved in the new release (2:3.5.0.21) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.21)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=422b1f554e5cb655b8a8702f9f3027760879ea02;hp=225445db3cb6c6fc05db264f537eb9ad6050fd1c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.21
Status: RELEASE
Date: Fri, 30 Aug 2013 16:18:04 +0200
Fixes: 199 223 238 293
Changes: 
 nx-libs (2:3.5.0.21-0) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * Provide a default keystrokes.cfg in /etc/nx (for nxagent) and /etc/x2go
     (for x2goagent). (Fixes: #199).
   * Use a keystrokes.cfg that reflects the normally hard-coded defaults of
     a vanilla nxagent. (Fixes: #223).
   * Set NXAGENT_KEYSTROKEFILE to /etc/x2go/keystrokes.cfg for wrapper x2goagent.
   * For vanilla nxagent move keystrokes.cfg from /etc/nx to /etc/nxagent.
   * Tarball roller script:
     + Only install keystrokes.cfg when in full mode.
     + Only install nxproxy wrapper when in lite mode.
   * /debian/control:
     + Add B-Ds: libfontconfig1-dev, libfontenc-dev.
   * /debian/nx-libs-dev.install:
     + Remove unrelated files from -dev package.
   * Fix keystrokes.cfg, use Ctrl+Alt+<key> instead of just Ctrl+<key>. (Adds to
     fixing #223).
 .
   [ Orion Poplawski ]
   * Change build options so that bundled libraries are not used anymore at
     build time. Remove bundled libraries from rolled tarballs, as well. (Fixes:
     #238).
   * Add patch: 602_nx-X11_initgroups.full.patch. Fix calling setuid and setgid
     without setgroups or initgroups. There is a high probability this means it
     didn't relinquish all groups, and this would be a potential security issue
     to be fixed. Seek POS36-C on the web for details about the problem. (Fixes:
     #293).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 30 Aug 2013 14:33:07 GMT) Full text and rfc822 format available.

Notification sent to Thomas Güttler <hv@tbz-pariv.de>:
Bug acknowledged by developer. (Fri, 30 Aug 2013 14:33:07 GMT) Full text and rfc822 format available.

Message sent on to Thomas Güttler <hv@tbz-pariv.de>:
Bug#223. (Fri, 30 Aug 2013 14:33:09 GMT) Full text and rfc822 format available.

Message sent on to Thomas Güttler <hv@tbz-pariv.de>:
Bug#223. (Fri, 30 Aug 2013 14:33:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 28 Sep 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Apr 18 10:38:05 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.